Facebook Twitter YouTube Frictional Games | Forum | Privacy Policy | Dev Blog | Dev Wiki | Support | Gametee


Thread Rating:
  • 0 Vote(s) - 0 Average
  • 1
  • 2
  • 3
  • 4
  • 5
Could not find a suitable frontend- Amnesia
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#1
Solved: 3 Years, 6 Months, 3 Weeks ago Could not find a suitable frontend- Amnesia

Okay, so I am running on Linux, and heard Amnesia easier on it. But I have tried to install Amnesia: The Dark Descent, and I put this code -

soarin@ubuntu:~/Desktop$ ./amnesia_tdd_1.2.sh --frontend -f --target dir /home/soarin/Desktop/Amnesia.

I get this error ---


Verifying archive integrity... All good.
Uncompressing Installer for Amnesia - The Dark Descent.............
Uncompressing sub archive........................................................................................................................................................................................
Collecting info for this system...
Operating system: linux
CPU Arch: x86
Error: Couldn't find any suitable frontend for your system


I'm on a 32-bit Ubuntu, so I need help, any solving?Huh
(This post was last modified: 01-09-2013, 04:51 AM by JacobStar9104.)
01-09-2013, 04:15 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#2
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

why did you put --frontend -f ?

just simply run ./amnesia_tdd_1.2.sh

only if it has issues finding a front-end should you specify ONE of --frontend OR -f (they are aliases for the same argument). and hte valid frontends are gtk, fltk, and ncurs which you have to specify

./amnesia_tdd_1.2.sh --frontend fltk

--target is only needed if your /tmp doesn't have enough free diskspace to run the installer. (since this is the 1.2 installer it requires MORE diskspace than the 1.2.1 installer does, about 3GB)

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
01-09-2013, 06:24 AM
Website Find
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#3
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

I get the same error, but when I used the GTK one, it said linux x86_64...
I don't understand this error...
(This post was last modified: 01-09-2013, 11:33 PM by JacobStar9104.)
01-09-2013, 12:47 PM
Find
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#4
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

No fix?
01-12-2013, 05:45 PM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#5
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

How much free disk space do you have on /tmp ? (df -h /tmp ).

Can you paste the exact command line you are running now along with the exact error that occurred.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
01-12-2013, 07:37 PM
Website Find
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#6
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

./amnesia_tdd_1.2.sh --frontend fltk
./amnesia_tdd_1.2.sh --frontend gtk

And I have 1.2GB left in my TMP folder... I heard I need adleast 2. I cleared out my entire TMP folder and only 1.2 still...
01-13-2013, 12:52 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#7
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

So, that is why it's failing.. you don't have enough free space in /tmp instead try this

./amnesia_tdd_1.2.sh --target /some/new/folder/with/enough/disk/space

e.g. create a temp folder in home mkdir ~/AmnesiaTMP

./amnesia_tdd_1.2.sh --target ~/AmnesiaTMP

DO NOT use an existing folder for --target.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
01-13-2013, 01:44 AM
Website Find
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#8
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

No where in my home folder has more than 1.2GB free, this is a newly installed operating system, and I formated my HDD for Linux and Amnesia only, I think I may need to add more GB to it.
01-13-2013, 04:21 AM
Find
Urkle Offline
FG - Associate

Posts: 1,172
Threads: 31
Joined: Jul 2006
Reputation: 21
#9
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

Yes, you do.. unfortunately the installer currently requires an excessive amount of free diskspace.

1.1GB for compressed installer (you are already using this)
2.5GB for decompressed installer (in /tmp)
2.5GB for game installations

so that's 6.1GB !!!

Now, I'm checking with Jens, as the 1.2.1 installer *should* be available on the Frictional website, if so I would re-download that version as it only requires 1.1GB of disk space in /tmp.

Developing away on one of
Multiple Macs running 10.6, 10.7, 10.8, and 10.9.
Linux, 8-core AMD, 8GB RAM, Fedora 18, nVidia 450 1GB
01-13-2013, 05:15 PM
Website Find
JacobStar9104 Offline
Junior Member

Posts: 17
Threads: 3
Joined: Jan 2013
Reputation: 0
#10
Solved: 3 Years, 6 Months, 3 Weeks ago RE: Could not find a suitable frontend- Amnesia

Thank you, I removed Windows 8 and have over 300 GB free, it works. But I made another thread...
02-08-2013, 01:30 AM
Find




Users browsing this thread: 1 Guest(s)